---
search:
  tags:
    - database-services
    - GET
seo:
  description: >-
    Patroni health for a database service. Reference for the GET
    /api/v1/database-services/{id}/health/patroni endpoint in the TimescaleDB
    Enterprise API.
sidebar:
  label: Get Patroni health
  badge: GET
title: Get Patroni health
type: openapi-operation
---
Patroni health for a database service.

`GET /api/v1/database-services/{id}/health/patroni`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "console_mesh_down": true,
  "error": "string",
  "status": "healthy",
  "topology": {
    "members": [
      {
        "api_url": "string",
        "host": "string",
        "lag": 0,
        "name": "string",
        "nofailover": true,
        "pending_restart": true,
        "port": 0,
        "role": "string",
        "server_id": "string",
        "state": "string",
        "timeline": 0
      }
    ]
  }
}
```
